v3
--

changes:

- more appropriate LED resistor values
- change LED meaning
- use only PDM mic
- replace ESP32-S2 with ESP32 for PDM support, and better WLED support
- make USB optional (only needed for debug)
- add one I/O to port (allowing 3-line protocols like SPI or I2S)
- change input capacitors (for manufacturability)

v2
--

fixes:

- ESP antenna not surrounded by copper

changes:

- use larger barrier terminal for power ports to carry more current, clamp more wires, and allow wiring when the board is mounted in the enclosure
- remove 5V jack to save space, 5V power can be provided by USB port, and to avoid plugging 8-60V into 5V port (frying all the electronics)
- add board hole to fit in other enclosure version
- use ESP32-S2-MINI instead of WROOM to save space and avoid Not Recommended for New Design part
- use top spring terminal for LED data wires so they can be inserted when the board is mounted in the enclosure
- add status LED and change LED meanings
- complete re-layout, more compact
- add I²S and PDM MEMS microphone (I²S is present because I did not test PDM yet)

v1
--

fixes:

- both pins of the spring terminals are connected

changes:

- use screw terminal for power input/output to support more current
- add power input protection: PPTC and reverse polarity
- add switch configure DMX512 line termination (loop back to D2 so the XLR chain can continue, end using a termination resistor, or continue forwarding to other port
- change DC-DC buck converter to TPS54560 for large input voltage (e.g. 48V power supply and batteries)

issues: all the same as v0

v0
--

first prototype, with the bare features

issues:

- the case has actually other mounting holes
- WiFi does not work because of missing [copper clearance around the antenna](https://espressif.com/sites/default/files/documentation/esp32-s2_hardware_design_guidelines_en.pdf).
- KF141R footprint is not long enough (not really an issue)
- LED cables need to be stripped ~ 10 mm to fit it KF141R (minor inconvenience)
